Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.nativebinaries.plugins
[Java] Class NativeBinariesModelPlugin

    java.lang.Object
      org.gradle.nativebinaries.plugins.NativeBinariesModelPlugin

All Implemented Interfaces:
  Plugin

    @Incubating
    public class NativeBinariesModelPlugin

A plugin that sets up the infrastructure for defining native binaries.

Constructor Summary
`NativeBinariesModelPlugin(Instantiator instantiator, ProjectConfigurationActionContainer configurationActions, FileResolver fileResolver)`

Method Summary
`void` | `apply(Project project)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### NativeBinariesModelPlugin

    @Inject
    public NativeBinariesModelPlugin(Instantiator instantiator, ProjectConfigurationActionContainer configurationActions, FileResolver fileResolver)

Method Detail

### apply

    public void apply(Project project)

Gradle API 1.10